FLUX.1 Kontext Dev
curl --request POST \
--url https://api.novita.ai/v3/async/flux-1-kontext-dev \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"prompt": "<string>",
"images": [
"<string>"
],
"fast_mode": true,
"size": "<string>",
"num_inference_steps": 123,
"guidance_scale": 123,
"num_images": 123,
"seed": 123,
"output_format": "<string>"
}
'import requests
url = "https://api.novita.ai/v3/async/flux-1-kontext-dev"
payload = {
"prompt": "<string>",
"images": ["<string>"],
"fast_mode": True,
"size": "<string>",
"num_inference_steps": 123,
"guidance_scale": 123,
"num_images": 123,
"seed": 123,
"output_format": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({
prompt: '<string>',
images: ['<string>'],
fast_mode: true,
size: '<string>',
num_inference_steps: 123,
guidance_scale: 123,
num_images: 123,
seed: 123,
output_format: '<string>'
})
};
fetch('https://api.novita.ai/v3/async/flux-1-kontext-dev', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"task_id": "<string>"
}Image Generator
FLUX.1 Kontext Dev
POST
/
v3
/
async
/
flux-1-kontext-dev
FLUX.1 Kontext Dev
FLUX.1 Kontext dev is a model with greatly improved prompt adherence and typography generation meet premium consistency for editing without compromise on speed.
Request Headers
string
required
Enum:
application/jsonstring
required
Bearer authentication format, for example: Bearer {{API Key}}.
Request Body
string
required
The prompt to generate an image from.
string[]
The images to generate an image from. Limit to a maximum of 4 images.
boolean
Whether to enable fast mode, which will generate videos more quickly but may reduce quality and lower the price.Default:
false.string
The size of the generated media in pixels (width*height). Range [256 ~ 1536 per dimension].
integer
The number of inference steps to perform. Default is 28. Range [1 ~ 50].
number
The guidance scale to use for the generation. Default is 2.5. Range [1.0 ~ 20.0].
integer
The number of images to generate. Default is 1. Range [1 ~ 4].
integer
The random seed to use for the generation. Default is -1. -1 means a random seed will be used. Range [-1 ~ 2147483647].
string
The format of the output image. Default is jpeg.
Enum:
Enum:
jpeg, png, webpResponse
string
required
Use the task_id to request the Task Result API to retrieve the generated outputs.
Last modified on September 12, 2025
Was this page helpful?
⌘I